% Generates figure 4 of the paper 
% Paulo Esquef: 07 April 2015
clear all; close all; clc

[data]=xlsread('fig4_sheet.xlsx');

plot(data(:,1),data(:,3),'linewidth',2,'marker','d','color',.25*[1 1 1]);
set(gca,'fontsize',13)
hold on
plot(data(:,1),data(:,4),'linewidth',2,'marker','o','color',.75*[1 1 1]);
xlabel('Clipped samples in VAD (in %)')
ylabel('EER (in %)')
ll=legend('$\textrm{ED}_n$ ','$\textrm{ED}_b$ ')
set(ll,'interpreter','latex','fontsize',14)
axis([-.1 4.2 0 27.5])