% Generates figure 4 of the paper 
% Paulo Esquef: 07 April 2015
clear all; close all; clc

[data]=xlsread('fig5w_sheet.xlsx');
subplot(311)
plot(data(:,1),(data(:,4)-data(:,3)),'linewidth',2,'marker','d','color',.25*[1 1 1]);
set(gca,'fontsize',13)
hold on
plot(data(:,1),zeros(size(data(:,1))),'--')
% plot(data(:,1),(data(:,4)),'linewidth',2,'marker','o','color',.75*[1 1 1]);
%xlabel('SNR in VAD (in dB)')
ylabel(['$\Delta\textrm{EER (in \%)}$'],'interpreter','latex','fontsize',14)
%ll=legend('$\textrm{ED}_n$ ','$\textrm{ED}_b$ ')
%set(ll,'interpreter','latex','fontsize',14)
axis([4.5 30.5 -3 3])
text(5.5,-2,'(W)')

%textrm{EER (in %)}

[data]=xlsread('fig5lp_sheet.xlsx');
subplot(312)
plot(data(:,1),(data(:,4)-data(:,3)),'linewidth',2,'marker','d','color',.25*[1 1 1]);
set(gca,'fontsize',13)
hold on
plot(data(:,1),zeros(size(data(:,1))),'--')
ylabel(['$\Delta\textrm{EER (in \%)}$'],'interpreter','latex','fontsize',14)
axis([4.5 30.5 -3 3])
text(5.5,-2,'(LP)')

[data]=xlsread('fig5hp_sheet.xlsx');
subplot(313)
plot(data(:,1),(data(:,4)-data(:,3)),'linewidth',2,'marker','d','color',.25*[1 1 1]);
hold on
plot(data(:,1),zeros(size(data(:,1))),'--')
set(gca,'fontsize',13)
xlabel('SNR @ VAD (in dB)')
ylabel(['$\Delta\textrm{EER (in \%)}$'],'interpreter','latex','fontsize',14)
axis([4.5 30.5 -3 3])
text(5.5,-2,'(HP)')
